Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 8405)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 8406)
@@ -439,5 +439,4 @@
 $lang['Specials'] = 'Speciális összetevők';
 $lang['Files with same name in more than one physical album'] = 'Keresse meg az azonos nevű fájlokat';
-
 $lang['Overall'] = 'Teljes';
 $lang['Year'] = 'Év';
@@ -604,5 +603,4 @@
 $lang['Released on'] = 'Felszabadítva';
 $lang['Number of downloads'] = 'Letöltések száma';
-// --------- Starting below: New or revised $lang ---- from Colibri
 $lang['Piwigo Announcements Newsletter'] = 'Piwigo Hirdetmények Hírlevél';
 $lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Tartsa a kapcsolatot Piwigo projekttel, iratkozzon fel a Piwigo Hírlevélre. Levélben értesítjük ha újabb kiadás érhető el, (beleértve a biztonsági hibák javítását, valamint a frissítéseket) valamint ha nagyobb esemény történik a projektben. Csak néhány levél évente.';
@@ -658,5 +656,4 @@
 $lang['Save Settings'] = 'Beállítások mentése';
 $lang['Your configuration settings are saved'] = 'A beállítások mentése sikeres';
-// --------- missing translations ---- from version 2.1.0 RC1
 $lang['Unable to check for upgrade.'] = 'A frissítés sikertelen.';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Időtúllépés esetén a műveletet folytatni kell [Becsült idő: %d másodperc].';
@@ -713,5 +710,4 @@
 $lang['Invert'] = 'Felcserél';
 $lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Nem lehet kikapcsolni ezt a témát, szükség van legalább még egy aktív témára.';
-// --------- folytatas $lang ---- from version 2.1.0 RC1
 $lang['Webmaster status is required.'] = 'Webmester jogosultság szükséges.';
 $lang['Bound Theme'] = 'Fix Téma';
@@ -732,5 +728,4 @@
 $lang['Make this language available to users'] = 'A nyelv engedélyezése';
 $lang['Set as default language for unregistered and new users'] = 'Nyelv beállítása alapértelmezettként nem regisztrált és új felhasználók részére';
-// --------- folytatas $lang ---- from version 2.1.0 RC1
 $lang['Add Photos'] = 'Képek hozzáadása';
 $lang['Download'] = 'Letöltés';
@@ -745,5 +740,4 @@
 $lang['By rank'] = 'Értékelés szerint';
 $lang['Manual order'] = 'Kézi rendezés';
-// --------- missing translations ---- from version 2.1.0 RC2
 $lang['Order of menubar items has been updated successfully.'] = 'A menüsor elemei sikeresen frissítve.';
 $lang['This theme was not designed to be directly activated'] = 'Ezt a témát úgy tervezték, hogy közvetlenül nem aktiválható';
@@ -751,5 +745,4 @@
 $lang['Who can see this photo?'] = 'Ki láthatja ezt a képet?';
 $lang['Menu Management'] = 'Menü';
-// missing translations
 $lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'A php.ini fájlban az upload_max_filesize (% sB) nagyobb, mint a post_max_size (% sB), módosítania kell a beállítást';
 $lang['Exif extension not available, admin should disable exif use'] = 'Exif-kiterjesztés nem érhető el, az adminisztrátor tiltsa le az exif használatát';
@@ -764,4 +757,11 @@
 $lang['Unknown upload error'] = 'Ismeretlen feltöltési hiba';
 $lang['Error on file "%s" : %s'] = 'Hibás a fájl "%s" : %s';
+$lang['automatic order'] = 'automatikus rendezés';
+$lang['manual order'] = 'kézi rendezés';
+$lang['Albums automatically sorted'] = 'Automatikusan rendezett albumok';
+$lang['Keep high definition'] = 'Nagy felbontás megtartása';
+$lang['The high definition maximum width must be a number between %d and %d'] = 'A nagy felbontás maximális szélessége %d és %d között legyen';
+$lang['The high definition maximum height must be a number between %d and %d'] = 'A nagy felbontás maximális magassága %d és %d között legyen';
+$lang['The high definition image quality must be a number between %d and %d'] = 'A nagy felbontás maximális képminősége %d és %d között legyen';
 
 ?>
Index: /trunk/tools/language/translation_validated.inc.php
===================================================================
--- /trunk/tools/language/translation_validated.inc.php	(revision 8405)
+++ /trunk/tools/language/translation_validated.inc.php	(revision 8406)
@@ -260,5 +260,6 @@
 	
   'hu_HU' => array(
-	'',
+	'Album',
+	'Album: %s',
 	),
 