Index: trunk/admin/batch_manager.php
===================================================================
--- trunk/admin/batch_manager.php	(revision 8407)
+++ trunk/admin/batch_manager.php	(revision 8408)
@@ -248,35 +248,4 @@
 $page['cat_elements_id'] = $current_set;
 
-//  // To element_set_(global|unit).php, we must provide the elements id of the
-//  // managed category in $page['cat_elements_id'] array.
-//  $page['cat_elements_id'] = array();
-
-//  else if ('duplicates' == $_GET['cat'])
-//  {
-//    $page['title'] = l10n('Files with same name in more than one physical category');
-//    $template->assign(array('U_ACTIVE_MENU' => 5 ));
-//  
-//    // we are searching related elements twice or more to physical categories
-//    // 1 - Retrieve Files
-//    $query = '
-//  SELECT DISTINCT(file)
-//    FROM '.IMAGES_TABLE.'
-//   GROUP BY file
-//  HAVING COUNT(DISTINCT storage_category_id) > 1
-//  ;';
-//  
-//    $duplicate_files = array_from_query($query, 'file');
-//    $duplicate_files[]='Nofiles';
-//    // 2 - Retrives related picture ids
-//    $query = '
-//  SELECT id, file
-//    FROM '.IMAGES_TABLE.'
-//  WHERE file IN (\''.implode("','", $duplicate_files).'\')
-//  ORDER BY file, id
-//  ;';
-//  
-//    $page['cat_elements_id'] = array_from_query($query, 'id');
-//  }
-
 // +-----------------------------------------------------------------------+
 // |                       first element to display                        |
Index: trunk/admin/batch_manager_global.php
===================================================================
--- trunk/admin/batch_manager_global.php	(revision 8407)
+++ trunk/admin/batch_manager_global.php	(revision 8408)
@@ -192,6 +192,6 @@
   }
 
-  // name
-  if ('name' == $action)
+  // title
+  if ('title' == $action)
   {
     $datas = array();
@@ -202,5 +202,5 @@
         array(
           'id' => $image_id,
-          'name' => $_POST['name']
+          'name' => $_POST['title']
           )
         );
Index: trunk/admin/themes/default/template/batch_manager_global.tpl
===================================================================
--- trunk/admin/themes/default/template/batch_manager_global.tpl	(revision 8407)
+++ trunk/admin/themes/default/template/batch_manager_global.tpl	(revision 8408)
@@ -175,8 +175,4 @@
     });
 
-    if (nb_thumbs_page < nb_thumbs_set) {
-      $("#selectSetMessage").show();
-    }
-
     checkPermitAction();
 
@@ -199,5 +195,4 @@
 
   $("#selectInvert").click(function () {
-    $("#selectSetMessage").hide();
     $("input[name=setSelected]").attr('checked', false);
 
@@ -234,10 +229,10 @@
   });
 
-  $("input[name=remove_name]").click(function () {
+  $("input[name=remove_title]").click(function () {
     if ($(this).is(':checked')) {
-      $("input[name=name]").hide();
-    }
-    else {
-      $("input[name=name]").show();
+      $("input[name=title]").hide();
+    }
+    else {
+      $("input[name=title]").show();
     }
   });
@@ -339,5 +334,5 @@
   </p>
 
-<h2>{'Batch manager'|@translate}</h2>
+<h2>{'Batch Manager'|@translate}</h2>
 
   <form action="{$F_ACTION}" method="post">
@@ -348,14 +343,14 @@
     <ul id="filterList">
       <li id="filter_prefilter" {if !isset($filter.prefilter)}style="display:none"{/if}>
-        <a href="#" class="removeFilter" title="remove this filter"><span>[x]</span></a>
+        <a href="#" class="removeFilter" title="{'remove this filter'|@translate}"><span>[x]</span></a>
         <input type="checkbox" name="filter_prefilter_use" class="useFilterCheckbox" {if isset($filter.prefilter)}checked="checked"{/if}>
-        predefined filter
+        {'predefined filter'|@translate}
         <select name="filter_prefilter">
-          <option value="caddie" {if $filter.prefilter eq 'caddie'}selected="selected"{/if}>caddie</option>
-          <option value="last import" {if $filter.prefilter eq 'last import'}selected="selected"{/if}>last import</option>
+          <option value="caddie" {if $filter.prefilter eq 'caddie'}selected="selected"{/if}>{'caddie'|@translate}</option>
+          <option value="last import" {if $filter.prefilter eq 'last import'}selected="selected"{/if}>{'last import'|@translate}</option>
 {if $ENABLE_SYNCHRONIZATION}
-          <option value="with no virtual album" {if $filter.prefilter eq 'with no virtual album'}selected="selected"{/if}>with no virtual album</option>
+          <option value="with no virtual album" {if $filter.prefilter eq 'with no virtual album'}selected="selected"{/if}>{'with no virtual album'|@translate}</option>
 {/if}
-          <option value="duplicates" {if $filter.prefilter eq 'duplicates'}selected="selected"{/if}>duplicates</option>
+          <option value="duplicates" {if $filter.prefilter eq 'duplicates'}selected="selected"{/if}>{'duplicates'|@translate}</option>
 <!--          <option value="with no album">with no album</option> -->
 <!--          <option value="with no tag">with no tag</option> -->
@@ -365,5 +360,5 @@
         <a href="#" class="removeFilter" title="remove this filter"><span>[x]</span></a>
         <input type="checkbox" name="filter_category_use" class="useFilterCheckbox" {if isset($filter.category)}checked="checked"{/if}>
-        album
+        {'album'|@translate}
         <select style="width:400px" name="filter_category" size="1">
           {html_options options=$filter_category_options selected=$filter_category_options_selected}
@@ -383,16 +378,16 @@
     <p class="actionButtons" style="">
       <select id="addFilter">
-        <option value="-1">Add a filter</option>
+        <option value="-1">{'Add a filter'|@translate}</option>
         <option disabled="disabled">------------------</option>
-        <option value="filter_prefilter">predefined filter</option>
-        <option value="filter_category">album</option>
+        <option value="filter_prefilter">{'predefined filter'|@translate}</option>
+        <option value="filter_category">{'album'|@translate}</option>
         <option value="filter_level">{'Who can see these photos?'|@translate}</option>
       </select>
 <!--      <input id="removeFilters" class="submit" type="submit" value="Remove all filters" name="removeFilters"> -->
-      <a id="removeFilters" href="">Remove all filters</a>
+      <a id="removeFilters" href="">{'Remove all filters'|@translate}</a>
     </p>
 
     <p class="actionButtons" id="applyFilterBlock">
-      <input id="applyFilter" class="submit" type="submit" value="Refresh photo set" name="submitFilter">
+      <input id="applyFilter" class="submit" type="submit" value="{'Refresh photo set'|@translate}" name="submitFilter">
     </p>
 
@@ -406,6 +401,10 @@
   <p id="checkActions">
     {'Select:'|@translate}
-    <a href="#" id="selectAll">{'All'|@translate}</a>
-    (<a href="#" id="selectSet">or the whole set</a>),
+{if $nb_thumbs_set > $nb_thumbs_page}
+    <a href="#" id="selectAll">{'The whole page'|@translate}</a>,
+    <a href="#" id="selectSet">{'The whole set'|@translate}</a>,
+{else}
+    <a href="#" id="selectAll">{'All'|@translate}</a>,
+{/if}
     <a href="#" id="selectNone">{'None'|@translate}</a>,
     <a href="#" id="selectInvert">{'Invert'|@translate}</a>
@@ -456,5 +455,5 @@
       &middot; <a href="{$U_DISPLAY}&amp;display=100">100</a>
       &middot; <a href="{$U_DISPLAY}&amp;display=all">{'all'|@translate}</a>
-      thumbnails per page
+      {'thumbnails per page'|@translate}
     </div>
   </div>
@@ -462,5 +461,5 @@
 
   {else}
-  <div>No photo in the current set.</div>
+  <div>{'No photo in the current set.'|@translate}</div>
   {/if}
   </fieldset>
@@ -469,16 +468,16 @@
 
     <legend>{'Action'|@translate}</legend>
-      <div id="forbidAction"{if count($selection) != 0}style="display:none"{/if}>No photo selected, no action possible.</div>
+      <div id="forbidAction"{if count($selection) != 0}style="display:none"{/if}>{'No photo selected, no action possible.'|@translate}</div>
       <div id="permitAction"{if count($selection) == 0}style="display:none"{/if}>
 
     <select name="selectAction">
-      <option value="-1">Choose an action</option>
+      <option value="-1">{'Choose an action'|@translate}</option>
       <option disabled="disabled">------------------</option>
   {if isset($show_delete_form) }
       <option value="delete">{'Delete selected photos'|@translate}</option>
   {/if}
-      <option value="associate">{'associate to category'|@translate}</option>
+      <option value="associate">{'Associate to album'|@translate}</option>
   {if !empty($dissociate_options)}
-      <option value="dissociate">{'dissociate from category'|@translate}</option>
+      <option value="dissociate">{'Dissociate from album'|@translate}</option>
   {/if}
       <option value="add_tags">{'add tags'|@translate}</option>
@@ -487,5 +486,5 @@
   {/if}
       <option value="author">{'Set author'|@translate}</option>
-      <option value="name">{'Set title'|@translate}</option>
+      <option value="title">{'Set title'|@translate}</option>
       <option value="date_creation">{'Set creation date'|@translate}</option>
       <option value="level">{'Who can see these photos?'|@translate}</option>
@@ -493,5 +492,5 @@
       <option value="remove_from_caddie">{'Remove from caddie'|@translate}</option>
   {else}
-      <option value="add_to_caddie">{'Add to caddie'|@translate}</option>
+      <option value="add_to_caddie">{'add to caddie'|@translate}</option>
   {/if}
     </select>
@@ -530,19 +529,19 @@
     <!-- author -->
     <div id="action_author" class="bulkAction">
-    <label><input type="checkbox" name="remove_author"> remove author</label><br>
-    {assign var='authorDefaultValue' value='Type here the author name'}
+    <label><input type="checkbox" name="remove_author"> {'remove author'|@translate}</label><br>
+    {assign var='authorDefaultValue' value='Type here the author name'|@translate}
 <input type="text" class="large" name="author" value="{$authorDefaultValue}" onfocus="this.value=(this.value=='{$authorDefaultValue}') ? '' : this.value;" onblur="this.value=(this.value=='') ? '{$authorDefaultValue}' : this.value;">
     </div>    
 
-    <!-- name -->
-    <div id="action_name" class="bulkAction">
-    <label><input type="checkbox" name="remove_name"> remove name</label><br>
-    {assign var='nameDefaultValue' value='Type here the name name'}
-<input type="text" class="large" name="name" value="{$nameDefaultValue}" onfocus="this.value=(this.value=='{$nameDefaultValue}') ? '' : this.value;" onblur="this.value=(this.value=='') ? '{$nameDefaultValue}' : this.value;">
+    <!-- title -->
+    <div id="action_title" class="bulkAction">
+    <label><input type="checkbox" name="remove_title"> {'remove title'|@translate}</label><br>
+    {assign var='titleDefaultValue' value='Type here the title'|@translate}
+<input type="text" class="large" name="title" value="{$titleDefaultValue}" onfocus="this.value=(this.value=='{$titleDefaultValue}') ? '' : this.value;" onblur="this.value=(this.value=='') ? '{$titleDefaultValue}' : this.value;">
     </div>
 
     <!-- date_creation -->
     <div id="action_date_creation" class="bulkAction">
-      <label><input type="checkbox" name="remove_date_creation"> remove creation date</label><br>
+      <label><input type="checkbox" name="remove_date_creation"> {'remove creation date'|@translate}</label><br>
       <div id="set_date_creation">
           <select id="date_creation_day" name="date_creation_day">