Index: /extensions/Statistics/main.inc.php
===================================================================
--- /extensions/Statistics/main.inc.php	(revision 8425)
+++ /extensions/Statistics/main.inc.php	(revision 8426)
@@ -4,5 +4,5 @@
 Version: auto
 Description: Add source code like Google Analytics on each page.
-Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=174
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=174
 Author: Ruben & Sakkhho
 Author URI: http://piwigo.org
Index: /extensions/dotcleareasy/language/en_UK/description.txt
===================================================================
--- /extensions/dotcleareasy/language/en_UK/description.txt	(revision 8426)
+++ /extensions/dotcleareasy/language/en_UK/description.txt	(revision 8426)
@@ -0,0 +1,1 @@
+Displays in a new window picture links to use in writing post
Index: /extensions/dotcleareasy/language/fr_FR/description.txt
===================================================================
--- /extensions/dotcleareasy/language/fr_FR/description.txt	(revision 8426)
+++ /extensions/dotcleareasy/language/fr_FR/description.txt	(revision 8426)
@@ -0,0 +1,1 @@
+Affiche dans une nouvelle fenêtre des liens sur les images à utiliser lors de l'écriture d'un billet
Index: /extensions/dynareceperio/language/en_UK/description.txt
===================================================================
--- /extensions/dynareceperio/language/en_UK/description.txt	(revision 8426)
+++ /extensions/dynareceperio/language/en_UK/description.txt	(revision 8426)
@@ -0,0 +1,1 @@
+Computes a dynamic recent period
Index: /extensions/dynareceperio/language/fr_FR/description.txt
===================================================================
--- /extensions/dynareceperio/language/fr_FR/description.txt	(revision 8426)
+++ /extensions/dynareceperio/language/fr_FR/description.txt	(revision 8426)
@@ -0,0 +1,1 @@
+Calcule une période récente dynamique
Index: /extensions/dynareceperio/main.inc.php
===================================================================
--- /extensions/dynareceperio/main.inc.php	(revision 8425)
+++ /extensions/dynareceperio/main.inc.php	(revision 8426)
@@ -22,6 +22,6 @@
 Plugin Name: Dynamic Recent Period
 Version: auto
-Description: Computes a dynamic recent period / Calcule une période récente dynamique
-Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=180
+Description: Computes a dynamic recent period
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=180
 Author: Ruben ARNAUD
 Author URI: http://photograph.piwigo.net/
Index: /extensions/fun_citation/language/en_UK/description.txt
===================================================================
--- /extensions/fun_citation/language/en_UK/description.txt	(revision 8426)
+++ /extensions/fun_citation/language/en_UK/description.txt	(revision 8426)
@@ -0,0 +1,1 @@
+Add a french quote to your pages
Index: /extensions/fun_citation/language/en_UK/index.php
===================================================================
--- /extensions/fun_citation/language/en_UK/index.php	(revision 8426)
+++ /extensions/fun_citation/language/en_UK/index.php	(revision 8426)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Fun Citation - a Piwigo Plugin                                        |
+// | Copyright (C) 2008-2011 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/fun_citation/language/fr_FR/description.txt
===================================================================
--- /extensions/fun_citation/language/fr_FR/description.txt	(revision 8426)
+++ /extensions/fun_citation/language/fr_FR/description.txt	(revision 8426)
@@ -0,0 +1,1 @@
+Ajoute une citation en français à ta page
Index: /extensions/fun_citation/language/fr_FR/index.php
===================================================================
--- /extensions/fun_citation/language/fr_FR/index.php	(revision 8426)
+++ /extensions/fun_citation/language/fr_FR/index.php	(revision 8426)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Fun Citation - a Piwigo Plugin                                        |
+// | Copyright (C) 2008-2011 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/fun_citation/language/index.php
===================================================================
--- /extensions/fun_citation/language/index.php	(revision 8426)
+++ /extensions/fun_citation/language/index.php	(revision 8426)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Fun Citation - a Piwigo Plugin                                        |
+// | Copyright (C) 2008-2011 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/fun_citation/main.inc.php
===================================================================
--- /extensions/fun_citation/main.inc.php	(revision 8425)
+++ /extensions/fun_citation/main.inc.php	(revision 8426)
@@ -22,6 +22,6 @@
 Plugin Name: Fun Citation
 Version: auto
-Description: Ajoute une citation en français à ta page
-Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=256
+Description: Add a french quote to your pages
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=256
 Author: Ruben ARNAUD
 Author URI: http://photograph.piwigo.net/
Index: /extensions/fun_snow/language/en_UK/description.txt
===================================================================
--- /extensions/fun_snow/language/en_UK/description.txt	(revision 8426)
+++ /extensions/fun_snow/language/en_UK/description.txt	(revision 8426)
@@ -0,0 +1,1 @@
+Add snow on your page
Index: /extensions/fun_snow/language/en_UK/index.php
===================================================================
--- /extensions/fun_snow/language/en_UK/index.php	(revision 8426)
+++ /extensions/fun_snow/language/en_UK/index.php	(revision 8426)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Fun Snow - a Piwigo Plugin                                            |
+// | Copyright (C) 2008-2011 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/fun_snow/language/fr_FR/description.txt
===================================================================
--- /extensions/fun_snow/language/fr_FR/description.txt	(revision 8426)
+++ /extensions/fun_snow/language/fr_FR/description.txt	(revision 8426)
@@ -0,0 +1,1 @@
+Ajoute de la neige à ta page
Index: /extensions/fun_snow/language/fr_FR/index.php
===================================================================
--- /extensions/fun_snow/language/fr_FR/index.php	(revision 8426)
+++ /extensions/fun_snow/language/fr_FR/index.php	(revision 8426)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Fun Snow - a Piwigo Plugin                                            |
+// | Copyright (C) 2008-2011 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/fun_snow/language/index.php
===================================================================
--- /extensions/fun_snow/language/index.php	(revision 8426)
+++ /extensions/fun_snow/language/index.php	(revision 8426)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Fun Snow - a Piwigo Plugin                                            |
+// | Copyright (C) 2008-2011 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/fun_snow/main.inc.php
===================================================================
--- /extensions/fun_snow/main.inc.php	(revision 8425)
+++ /extensions/fun_snow/main.inc.php	(revision 8426)
@@ -22,6 +22,6 @@
 Plugin Name: Fun Snow
 Version: auto
-Description: Add snow on your page / Ajoute de la neige à ta page
-Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=255
+Description: Add snow on your page
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=255
 Author: Ruben ARNAUD
 Author URI: http://photograph.piwigo.net/
Index: /extensions/wsstats/language/en_UK/description.txt
===================================================================
--- /extensions/wsstats/language/en_UK/description.txt	(revision 8426)
+++ /extensions/wsstats/language/en_UK/description.txt	(revision 8426)
@@ -0,0 +1,1 @@
+Adds statistics for web services method calls
Index: /extensions/wsstats/language/en_UK/index.php
===================================================================
--- /extensions/wsstats/language/en_UK/index.php	(revision 8426)
+++ /extensions/wsstats/language/en_UK/index.php	(revision 8426)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Web services statistics - a Piwigo Plugin                             |
+// | Copyright (C) 2007-2011 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/wsstats/language/fr_FR/description.txt
===================================================================
--- /extensions/wsstats/language/fr_FR/description.txt	(revision 8426)
+++ /extensions/wsstats/language/fr_FR/description.txt	(revision 8426)
@@ -0,0 +1,1 @@
+Ajoute des statistiques pour les appels de méthode des web services
Index: /extensions/wsstats/language/fr_FR/index.php
===================================================================
--- /extensions/wsstats/language/fr_FR/index.php	(revision 8426)
+++ /extensions/wsstats/language/fr_FR/index.php	(revision 8426)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Web services statistics - a Piwigo Plugin                             |
+// | Copyright (C) 2007-2011 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/wsstats/language/index.php
===================================================================
--- /extensions/wsstats/language/index.php	(revision 8426)
+++ /extensions/wsstats/language/index.php	(revision 8426)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Web services statistics - a Piwigo Plugin                             |
+// | Copyright (C) 2007-2011 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/wsstats/main.inc.php
===================================================================
--- /extensions/wsstats/main.inc.php	(revision 8425)
+++ /extensions/wsstats/main.inc.php	(revision 8426)
@@ -22,6 +22,6 @@
 Plugin Name: Web services statistics
 Version: auto
-Description: Adds statistics for web services method calls / Ajoute des statistiques pour les appels de méthode des web services
-Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=171
+Description: Adds statistics for web services method calls
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=171
 Author: Ruben ARNAUD
 Author URI: http://demo.piwigo.net