Index: /trunk/language/ar_SA/admin.lang.php
===================================================================
--- /trunk/language/ar_SA/admin.lang.php	(revision 8442)
+++ /trunk/language/ar_SA/admin.lang.php	(revision 8443)
@@ -168,5 +168,4 @@
 $lang['Tag "%s" was added'] = 'تم اضافة هذه الكلمة "%s"';
 $lang['Tag selection'] = 'اختيار الكلمات الدلائلية';
-$lang['Take selected elements out of caddie'] = 'أخرج هذه العناصر من السلة';
 $lang['The %d following tags were deleted'] = 'تم حذف هذه الكلمات %d مسبقا';
 $lang['Unable to check for upgrade.'] = 'لا يمكن التأكد عن تحديثات جديدة';
@@ -440,8 +439,5 @@
 $lang['Toggle \'default group\' property'] = 'ترجيح \'مجموعة افتراضية\' الخصوصية';
 $lang['Advanced features'] = 'مميزات متقدمة';
-$lang['Not linked elements'] = 'عناصر غير مربوطة';
 $lang['Specials'] = 'خــاص';
-$lang['Files with same name in more than one physical album'] = 'ملفات تحمل نفس الاسم في أكثر من ألبوم ';
-
 $lang['Overall'] = 'اجماليا';
 $lang['Year'] = 'سنة';
@@ -560,5 +556,4 @@
 $lang['Can\'t connect to server.'] = 'يمكن\'لا الاتصال بالخادم.';
 $lang['Purge compiled templates'] = 'معالجة جميع النماذج';
-$lang['Caddie is currently empty'] = '    الــسلة خاليــة   ';
 $lang['Show upload link every time'] = 'اظهر رابط التحميل في كل وقت';
 $lang['User access level to upload'] = 'مستوى موصول المستخدمين للتحميل';
Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 8442)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 8443)
@@ -171,5 +171,4 @@
 $lang['Tag "%s" was added'] = '"%" klíčových slov bylo přidáno';
 $lang['Tag selection'] = 'Výběr klíčových slov';
-$lang['Take selected elements out of caddie'] = 'Odstranit z košíku vybrané položky';
 $lang['The %d following tags were deleted'] = 'Následujících %d klíčových slov bylo odstraněno';
 $lang['Unable to check for upgrade.'] = 'Unable to check for upgrade.';
@@ -442,7 +441,5 @@
 $lang['Toggle \'default group\' property'] = 'Přepnout vlastnost \'základní skupina\'';
 $lang['Advanced features'] = 'Rozšířené vlastnosti';
-$lang['Not linked elements'] = 'Nepřipojené položky';
 $lang['Specials'] = 'Ostatní';
-$lang['Files with same name in more than one physical album'] = 'Identické názvy souborů ve více než jednom fyzickém albu';
 $lang['Overall'] = 'Celkově';
 $lang['Year'] = 'Rok';
@@ -559,5 +556,4 @@
 $lang['Can\'t connect to server.'] = 'Nelze se připojit k serveru.';
 $lang['Purge compiled templates'] = 'Provést údržbu šablon';
-$lang['Caddie is currently empty'] = 'Košík je prázdný';
 $lang['Upload'] = 'Nahrát fotografie';
 $lang['Show upload link every time'] = 'Vždy zobrazit odkaz pro nahrání fotografie';
Index: /trunk/language/da_DK/admin.lang.php
===================================================================
--- /trunk/language/da_DK/admin.lang.php	(revision 8442)
+++ /trunk/language/da_DK/admin.lang.php	(revision 8443)
@@ -170,5 +170,4 @@
 $lang['Tag "%s" was added']     =     'Tag \'% s \'er blevet tilføjet';
 $lang['Tag selection']     =     'Tags valg';
-$lang['Take selected elements out of caddie']     =     'Tag udvalgte elementer ud af Caddie';
 $lang['The %d following tags were deleted']     =     'Følgende %d tags er blevet slettet';
 $lang['Unable to check for upgrade.']     = 'Kunne ikke kontrollere for opgradering.';
@@ -443,7 +442,5 @@
 $lang['Toggle \'default group\' property']     =     'Reverse \'default Gruppe\' ejendom ';
 $lang['Advanced features']     =     'Avancerede funktioner';
-$lang['Not linked elements']     =     'Ikke linkede elementer';
 $lang['Specials']     =     'Special';
-$lang['Files with same name in more than one physical album']     =     'Identiske filer navne i mere end én Fysisk Kategori';
 $lang['Overall']     =     'I alt';
 $lang['Year']     =     'År';
@@ -560,5 +557,4 @@
 $lang['Can\'t connect to server.']     =     'Tilslutning til server umuligt.';
 $lang['Purge compiled templates']     =     'Purge udarbejdet skabeloner';
-$lang['Caddie is currently empty']     =     'Caddie er tom';
 $lang['Show upload link every time']     =     'Vis upload link hele tiden';
 $lang['User access level to upload']     =     'Bruger adgangsniveau for upload';
Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 8442)
+++ /trunk/language/de_DE/admin.lang.php	(revision 8443)
@@ -168,5 +168,4 @@
 $lang['Tag "%s" was added'] = 'Tag "%s" wurde hinzugefügt';
 $lang['Tag selection'] = 'Tag Auswahl';
-$lang['Take selected elements out of caddie'] = 'Entferne markierte Elemente aus dem Sammelkorb';
 $lang['The %d following tags were deleted'] = 'Die %d folgenden Tags werden gelöscht :';
 $lang['Unable to check for upgrade.'] = 'Update-Prüfung ist nicht möglich.';
@@ -436,8 +435,5 @@
 $lang['Toggle \'default group\' property'] = 'Setze die Einstellungen der Gruppe zurück auf Voreinstellung für alle Benutzer';
 $lang['Advanced features'] = 'Erweiterte Einstellungen';
-$lang['Not linked elements'] = 'Nicht verlinkte Elemente';
 $lang['Specials'] = 'Erweiterte Verwaltung';
-$lang['Files with same name in more than one physical album'] = 'Dateien mit dem selben Namen in mehrere physische Alben';
-
 $lang['Overall'] = 'Gesamt';
 $lang['Year'] = 'Jahr';
@@ -556,5 +552,4 @@
 $lang['Can\'t connect to server.'] = 'Es konnte keine Verbindung zum Server hergestellt werden.';
 $lang['Purge compiled templates'] = 'Löschen der kompilierten Templates';
-$lang['Caddie is currently empty'] = 'Der Sammelkorb ist derzeit leer.';
 $lang['Show upload link every time'] = 'Den Uploadlink immer anzeigen';
 $lang['User access level to upload'] = 'dürfen Bilder hochladen';
Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 8442)
+++ /trunk/language/es_ES/admin.lang.php	(revision 8443)
@@ -168,5 +168,4 @@
 $lang['Tag "%s" was added'] = 'La etiqueta "%s" ha sido añadida';
 $lang['Tag selection'] = 'Selección de las etiquetas';
-$lang['Take selected elements out of caddie'] = 'Sacar los elementos seleccionados de la cesta';
 $lang['The %d following tags were deleted'] = 'Las %d etiquetas siguientes han sido suprimidas';
 $lang['Unable to check for upgrade.'] = 'Imposible conocer la última versión.';
@@ -438,7 +437,5 @@
 $lang['Toggle \'default group\' property'] = 'Invertir la propiedad \'grupo por defecto\'';
 $lang['Advanced features'] = 'Funciones avanzadas';
-$lang['Not linked elements'] = 'Elementos no atados';
 $lang['Specials'] = 'Especiales';
-$lang['Files with same name in more than one physical album'] = 'Archivos con el mismo nombre en varios àlbumes physicos';
 $lang['Overall'] = 'Vista global';
 $lang['Year'] = 'Año';
@@ -556,5 +553,4 @@
 $lang['Can\'t connect to server.'] = 'Imposible conectarse al servidor.';
 $lang['Purge compiled templates'] = 'purgar los templates compilados';
-$lang['Caddie is currently empty'] = 'La cesta actualmente está vacía';
 $lang['Show upload link every time'] = 'Mostrar el enlace de añadido de imagen todo el tiempo';
 $lang['User access level to upload'] = 'Nivel de acceso usuario para cargar';
Index: /trunk/language/fa_IR/admin.lang.php
===================================================================
--- /trunk/language/fa_IR/admin.lang.php	(revision 8442)
+++ /trunk/language/fa_IR/admin.lang.php	(revision 8443)
@@ -170,5 +170,4 @@
 $lang['Tag "%s" was added'] = "برچسب \"%s\" افزوده شد";
 $lang['Tag selection'] = "انتخاب برچسب‌ها";
-$lang['Take selected elements out of caddie'] = "آیتم‌هایی که انتخاب شده‌اند را از سبد حذف کن";
 $lang['The %d following tags were deleted'] = "%d برچسب حذف شد.";
 $lang['Unable to check for upgrade.'] = "سیستم قادر به به روز رسانی نیست";
@@ -443,7 +442,5 @@
 $lang['Toggle \'default group\' property'] = "معکوش کردن خواص 'گروه پیش‌فرض'";
 $lang['Advanced features'] = "امکانات پیشرفته";
-$lang['Not linked elements'] = "اشیا نامرتبط";
 $lang['Specials'] = "منو ویژه";
-$lang['Files with same name in more than one physical album'] = "فایل‌هایی با نام یکسان در بیش‌از یک دسته فیزیکی موجود است!";
 $lang['Overall'] = "دید کلی";
 $lang['Year'] = "سال";
@@ -560,5 +557,4 @@
 $lang['Can\'t connect to server.'] = "ارتباط با سرور ممکن نیست.";
 $lang['Purge compiled templates'] = "پاک‌ازی قالب واردشده(کامپایل شده)";
-$lang['Caddie is currently empty'] = "سبد در حال حاضر خالی است.";
 $lang['Show upload link every time'] = "Show upload link all the time";
 $lang['User access level to upload'] = "کاربران اجازه آپلود را داشته باشند.";
Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 8442)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 8443)
@@ -170,5 +170,4 @@
 $lang['Tag "%s" was added'] = "Le mot clé \"%s\" a été ajouté";
 $lang['Tag selection'] = "Sélection de mots clés";
-$lang['Take selected elements out of caddie'] = "Sortir les éléments sélectionnés du panier";
 $lang['The %d following tags were deleted'] = "Les %d mots clés suivants ont été supprimés";
 $lang['Unable to check for upgrade.'] = "Impossible de connaître la dernière version.";
@@ -447,7 +446,5 @@
 $lang['Toggle \'default group\' property'] = "Inverser la propriété 'groupe par défaut'";
 $lang['Advanced features'] = "Fonctions avancées";
-$lang['Not linked elements'] = "Éléments non liés";
 $lang['Specials'] = "Spéciales";
-$lang['Files with same name in more than one physical album'] = "Fichiers portant le même nom dans plusieurs catégories physiques";
 $lang['Overall'] = "Vue globale";
 $lang['Year'] = "Année";
@@ -567,5 +564,4 @@
 $lang['Can\'t connect to server.'] = "Impossible de se connecter au serveur.";
 $lang['Purge compiled templates'] = "Purger les templates compilés";
-$lang['Caddie is currently empty'] = "Le panier est actuellement vide.";
 $lang['Upload'] = "Ajout";
 $lang['Show upload link every time'] = "Afficher tout le temps le lien d'ajout d'image";
Index: /trunk/language/he_IL/admin.lang.php
===================================================================
--- /trunk/language/he_IL/admin.lang.php	(revision 8442)
+++ /trunk/language/he_IL/admin.lang.php	(revision 8443)
@@ -168,5 +168,4 @@
 $lang['Tag "%s" was added'] = 'התג "%s"" נוסף';
 $lang['Tag selection'] = 'בחירת תגית';
-$lang['Take selected elements out of caddie'] = 'קח את הרכיבים שנבחרו מתוך סל';
 $lang['The %d following tags were deleted'] = 'התגיות הבאות %d נמחקו';
 $lang['Unable to check for upgrade.'] = 'אין אפשרות לבדוק אם קיימים שדרוגים.';
@@ -441,7 +440,5 @@
 $lang['Toggle \'default group\' property'] = "תייג 'קבוצת ברירת מחדל' ערך";
 $lang['Advanced features'] = 'תכונות מתקדמות';
-$lang['Not linked elements'] = 'מרכיבים לא מקושרים';
 $lang['Specials'] = 'מבצעים';
-$lang['Files with same name in more than one physical album'] = 'קבצים שמות זהים ליותר מקטגוריה אחת גופנית';
 $lang['Overall'] = 'מבט';
 $lang['Year'] = 'שנה';
@@ -558,5 +555,4 @@
 $lang["Can't connect to server."] = 'החיבור לשרת בלתי אפשרי.';
 $lang['Purge compiled templates'] = 'הידור הטיהור תבניות';
-$lang['Caddie is currently empty'] = 'קופסת ריקה';
 $lang['Show upload link every time'] = 'הצג להעלות קישור כל הזמן';
 $lang['User access level to upload'] = 'גישה ברמת המשתמש על העלאת';
Index: /trunk/language/hr_HR/admin.lang.php
===================================================================
--- /trunk/language/hr_HR/admin.lang.php	(revision 8442)
+++ /trunk/language/hr_HR/admin.lang.php	(revision 8443)
@@ -167,5 +167,4 @@
 $lang['Tag "%s" was added'] = 'Tag "%s" dodan';
 $lang['Tag selection'] = 'Odabir tagova';
-$lang['Take selected elements out of caddie'] = 'Izvuci odabrane stavke iz ladice';
 $lang['The %d following tags were deleted'] = 'Slijedeći %d tagovi su izbrisani';
 $lang['Unable to check for upgrade.'] = 'Ne mogu provjeriti za nadogradnju.';
@@ -435,7 +434,5 @@
 $lang['Toggle \'default group\' property'] = 'Promijeni \'pretpostavljena grupa\' svojstva';
 $lang['Advanced features'] = 'Napredne mogućnosti';
-$lang['Not linked elements'] = 'Nema povezanih stavki';
 $lang['Specials'] = 'Posebnosti';
-$lang['Files with same name in more than one physical album'] = 'Zapisi istog imena u više od jednoj stvarnoj skupini';
 $lang['Overall'] = 'Sveukupno';
 $lang['Year'] = 'Godina';
@@ -553,5 +550,4 @@
 $lang['Can\'t connect to server.'] = 'Ne mogu se povezati na poslužitelj.';
 $lang['Purge compiled templates'] = 'Isprazni obrađene predloške';
-$lang['Caddie is currently empty'] = 'Ladica je trenutno prazna';
 $lang['Show upload link every time'] = 'Prikaži poveznicu prebačaja svaki put';
 $lang['User access level to upload'] = 'Pristupna korisnička razina potrebna za prebačaj';
Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 8442)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 8443)
@@ -168,5 +168,4 @@
 $lang['Tag "%s" was added'] = '"%s" címke hozzáadva';
 $lang['Tag selection'] = 'Címke kiválasztása';
-$lang['Take selected elements out of caddie'] = 'Kiválasztott elemek kosárból történő eltávolítása';
 $lang['The %d following tags were deleted'] = 'A következő %d címke törölve : %s';
 $lang['Uninstall'] = 'Eltávolítás';
@@ -436,7 +435,5 @@
 $lang['Toggle \'default group\' property'] = '\'Alapértelmezett csoport\' tulajdonság megfordítása';
 $lang['Advanced features'] = 'Speciális funkciók';
-$lang['Not linked elements'] = 'Nem kapcsolódó elemek';
 $lang['Specials'] = 'Speciális összetevők';
-$lang['Files with same name in more than one physical album'] = 'Keresse meg az azonos nevű fájlokat';
 $lang['Overall'] = 'Teljes';
 $lang['Year'] = 'Év';
@@ -555,5 +552,4 @@
 $lang['Can\'t connect to server.'] = 'Nem sikerült csatlakozni a szerverhez.';
 $lang['Purge compiled templates'] = 'Összeállított sablonok törlése';
-$lang['Caddie is currently empty'] = 'A kosár jelenleg üres.';
 $lang['Support'] = 'Támogatás';
 $lang['Documentation'] = 'Dokumentációk';
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 8442)
+++ /trunk/language/it_IT/admin.lang.php	(revision 8443)
@@ -234,5 +234,4 @@
 $lang['The name of a group must not contain " or \' or be empty.'] = 'Il nome del gruppo non deve contenere " o \' e non deve essere vuoto.';
 $lang['This name is already used by another group.'] = 'Questo nome è già  usato per un altro gruppo.';
-$lang[''] = "";
 $lang['High definition'] = 'Alta definizione';
 $lang['jump to album'] = 'Andare all\'album';
Index: /trunk/language/ja_JP/admin.lang.php
===================================================================
--- /trunk/language/ja_JP/admin.lang.php	(revision 8442)
+++ /trunk/language/ja_JP/admin.lang.php	(revision 8443)
@@ -168,5 +168,4 @@
 $lang['Tag "%s" was added'] = 'タグ "%s" が追加されました。';
 $lang['Tag selection'] = 'タグ選択';
-$lang['Take selected elements out of caddie'] = '選択したエレメントをキャディから取り出す';
 $lang['The %d following tags were deleted'] = '次の %d 件のタグが削除されました。';
 $lang['Uninstall'] = 'アンインストール';
@@ -437,8 +436,5 @@
 $lang['Toggle \'default group\' property'] = '「デフォルトグループ」属性に切り替える';
 $lang['Advanced features'] = '高度な機能';
-$lang['Not linked elements'] = '未リンクのエレメント';
 $lang['Specials'] = '特別';
-$lang['Files with same name in more than one physical album'] = '1つ以上の物理カテゴリに存在する同一名ファイル';
-
 $lang['Overall'] = '全体';
 $lang['Year'] = '年';
@@ -557,5 +553,4 @@
 $lang['Can\'t connect to server.'] = 'サーバに接続できません。';
 $lang['Purge compiled templates'] = 'コンパイル済みテンプレートを削除する';
-$lang['Caddie is currently empty'] = '現在、キャディは空です。';
 $lang['Show upload link every time'] = '毎回アップロードリンクを表示する';
 $lang['User access level to upload'] = 'アップロードに関するユーザアクセスレベル';