Index: trunk/language/nl_NL/admin.lang.php
===================================================================
--- trunk/language/nl_NL/admin.lang.php	(revision 8449)
+++ trunk/language/nl_NL/admin.lang.php	(revision 8450)
@@ -738,3 +738,55 @@
 $lang['Pending Comments'] = 'Nog niet goedgekeurde commentaren';
 $lang['Menu Management'] = 'Menu';
+$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'In uw php.ini bestand, de upload_max_filesize (%sB) is groter dan post_max_size (%sB), moet u deze instelling wijzigen';
+$lang['Exif extension not available, admin should disable exif use'] = 'Exif extension not available, admin should disable exif use';
+$lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB';
+$lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = 'Het geuploade bestand is groter dan de upload_max_filesize richtlijn in php.ini: %sB';
+$lang['The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form'] = 'Het geuploade bestand is groter dan de MAX_FILE_SIZE richtlijn die is opgegeven in het HTML formulier';
+$lang['The uploaded file was only partially uploaded'] = 'Het geuploade bestand is slechts gedeeltelijk geupload';
+$lang['No file was uploaded'] = 'Er is geen bestand geupload';
+$lang['Missing a temporary folder'] = 'Er ontbreekt een tijdelijke map';
+$lang['Failed to write file to disk'] = 'Kan bestand niet naar schijf schrijven';
+$lang['File upload stopped by extension'] = 'Bestand upload gestopt door bestandsextensie';
+$lang['Unknown upload error'] = 'Onbekende upload fout';
+$lang['Error on file "%s" : %s'] = 'Fout in het bestand "%s" : %s';
+$lang['automatic order'] = 'automatische volgorde';
+$lang['manual order'] = 'handmatige volgorde';
+$lang['Albums automatically sorted'] = 'Albums automatisch gesorteerd';
+$lang['Keep high definition'] = 'Behoud hoge resolutie';
+$lang['The high definition maximum width must be a number between %d and %d'] = 'De hoge resolutie maximale breedte moet een nummer zijn tussen %d en %d';
+$lang['The high definition maximum height must be a number between %d and %d'] = 'De hoge resolutie maximale hoogte moet een getal zijn tussen %d en %d';
+$lang['The high definition image quality must be a number between %d and %d'] = 'De hoge resolutie beeldkwaliteit moet een getal zijn tussen %d en %d';
+$lang['Batch Manager'] = 'Bulk beheerder';
+$lang['include child albums'] = 'include child albums';
+$lang['Selection'] = 'Selectie';
+$lang['Action'] = 'Actie';
+$lang['Set author'] = 'Stel auteur in';
+$lang['Set title'] = 'Stel titel in';
+$lang['Set creation date'] = 'Stel aanmaakdatum in';
+$lang['Apply action'] = 'Toepassen';
+$lang['on the %d selected photos'] = 'op de %d geselecteerde foto\'s';
+$lang['%d of %d photos selected'] = '%d van %d foto\'s geselecteerd';
+$lang['No photo selected, %d photos in current set'] = 'Geen foto geselecteerd, %d foto\'s in de huidige set';
+$lang['All %d photos are selected'] = 'Alle %d foto\'s zijn geselecteerd';
+$lang['remove this filter'] = 'Verwijder dit filter';
+$lang['predefined filter'] = 'vooraf gedefinieerd filter';
+$lang['last import'] = 'Laatste import';
+$lang['with no virtual album'] = 'zonder virtueel album';
+$lang['duplicates'] = 'duplicaten';
+$lang['Add a filter'] = 'Voeg een filter toe';
+$lang['Remove all filters'] = 'Verwijder alle filters';
+$lang['Refresh photo set'] = 'Vernieuwen foto set';
+$lang['The whole page'] = 'De hele pagina';
+$lang['The whole set'] = 'De hele set';
+$lang['thumbnails per page'] = 'miniaturen per pagina';
+$lang['No photo in the current set.'] = 'Geen foto in de huidige reeks.';
+$lang['No photo selected, no action possible.'] = 'Geen foto geselecteerd, geen actie mogelijk is.';
+$lang['Choose an action'] = 'Kies een actie';
+$lang['remove author'] = 'Verwijder auteur';
+$lang['Type here the author name'] = 'Typ hier de naam van de auteur';
+$lang['remove title'] = 'Verwijder titel';
+$lang['Type here the title'] = 'Typ hier de titel';
+$lang['remove creation date'] = 'verwijder aanmaakdatum';
+$lang['with no album'] = 'zonder album';
+$lang['with no tag'] = 'zonder tag';
 ?>