Index: /extensions/ContactForm/include/cf_common.inc.php
===================================================================
--- /extensions/ContactForm/include/cf_common.inc.php	(revision 8457)
+++ /extensions/ContactForm/include/cf_common.inc.php	(revision 8458)
@@ -103,4 +103,5 @@
 	'lv_LV' => 'Kontaktforma',
 	'sv_SE' => 'Kontakt formulär',
+	'nl_NL' => 'Contact formulier'
 );
 $cf_config_lang_keys['contact_form'] = array(
@@ -119,4 +120,5 @@
 	'lv_LV' => 'Kontaktēt',
 	'sv_SE' => 'Kontakt',
+	'nl_NL' => 'Contact'
 ); 
 $cf_config_lang_keys['contact_form_link'] = array(
@@ -135,4 +137,5 @@
 	'lv_LV' => 'Kontaktēt ar webmāsteru',
 	'sv_SE' => 'Kontakta webmaster',
+	'nl_NL' => 'Contact webmaster'
 );
 CF_Config_Lang::$default_keys = $cf_config_lang_keys;
Index: /extensions/ContactForm/language/nl_NL/description.txt
===================================================================
--- /extensions/ContactForm/language/nl_NL/description.txt	(revision 8458)
+++ /extensions/ContactForm/language/nl_NL/description.txt	(revision 8458)
@@ -0,0 +1,1 @@
+Voeg een "Contact" item aan het menu blok, om een contactformulier aan de bezoekers te tonen
Index: /extensions/ContactForm/language/nl_NL/index.php
===================================================================
--- /extensions/ContactForm/language/nl_NL/index.php	(revision 8458)
+++ /extensions/ContactForm/language/nl_NL/index.php	(revision 8458)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ContactForm/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/nl_NL/plugin.lang.php	(revision 8458)
+++ /extensions/ContactForm/language/nl_NL/plugin.lang.php	(revision 8458)
@@ -0,0 +1,91 @@
+<?php
+/* $Id$ */
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+global $lang;
+
+$lang['cf_plugin_name'] = 'Contact Formulier';
+$lang['contact_form_debug'] = 'Toon debug informatie';
+
+// ==================================================================
+// Default values if not configured
+$lang['contact_form_title'] = 'Contact formulier';
+$lang['contact_form'] = 'Contact';
+$lang['contact_form_link'] = 'Contact webmaster';
+
+// ==================================================================
+// Redirect page
+$lang['contact_redirect_title'] = 'Verzonden bericht status';
+
+// ==================================================================
+// Menubar block
+$lang['cf_from_name'] = 'Je naam';
+$lang['cf_from_mail'] = 'Je e-mail';
+$lang['cf_subject'] = 'Onderwerp';
+$lang['cf_message'] = 'Bericht';
+$lang['cf_submit'] = 'Verstuur';
+$lang['title_send_mail'] = 'Een commentaar op de site';
+
+// ==================================================================
+// Messages
+$lang['cf_from_name_error'] = 'Vul een naam in';
+$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_subject_error'] = 'Vul een onderwerp in';
+$lang['cf_message_error'] = 'Vul een berichttekst in ';
+$lang['cf_error_sending_mail'] = 'Fout tijdens versturen van e-mail';
+$lang['cf_sending_mail_successful'] = 'E-mail succesvol verzonden';
+$lang['cf_form_error'] = 'Onjuiste gegevens';
+$lang['cf_inconsistent_version'] = '%s: inconsistente versie nummers';
+$lang['cf_no_unlink'] = 'Functie \'unlink\' nie beschikbaar...';
+$lang['cf_unlink_errors'] = 'Fout opgetreden tijdens verwijderen van bestand';
+$lang['cf_config_saved'] = 'Configuratie successvol opgeslagen';
+$lang['cf_config_saved_with_errors'] = 'Configuratie opgeslagen met fouten';
+$lang['cf_length_not_integer'] = 'grootte moet een geheel getal zijn';
+$lang['cf_delay_not_integer'] = 'Vertraging moet een geheel getal zijn';
+$lang['cf_link_error'] = 'Variabele kan geen spaties bevatten';
+$lang['cf_hide'] = 'Verberg';
+
+// ==================================================================
+// Admin page
+$lang['cf_validate'] = 'Verzenden';
+// Configuration tab
+$lang['cf_tab_config'] = 'Configuratie';
+$lang['cf_config'] = 'Configuratie';
+$lang['cf_config_desc'] = 'Plugin hoofd configuratie';
+$lang['cf_label_config'] = 'Algemene configuratie';
+$lang['cf_label_mail'] = 'E-mail configuratie';
+$lang['cf_menu_link'] = 'Voeg link aan menu toe';
+$lang['cf_guest_allowed'] = 'Sta gasten toe om het formulier te zien';
+$lang['cf_mail_prefix'] = 'Voorvoegsel van het email onderwerp';
+$lang['cf_separator'] = 'Teken(s) gebruikt voor de scheidingsbalk in de e-mail, in tekst formaat';
+$lang['cf_separator_length'] = 'Grote van de balk';
+$lang['cf_mandatory_name'] = 'Naam is verplicht';
+$lang['cf_mandatory_mail'] = 'E-mail adres is verplicht';
+$lang['cf_redirect_delay'] = 'wachttijd voor opnieuw versturen';
+// Emails tab
+$lang['cf_tab_emails'] = 'E-mails';
+$lang['cf_emails'] = 'E-mails';
+$lang['cf_emails_desc'] = 'Bestemming van e-mail beheer';
+$lang['cf_active'] = 'Actieve e-mail';
+$lang['cf_no_mail'] = 'Geen e-mail adres beschikbaar';
+$lang['cf_refresh'] = 'Regenereer e-mail lijst adres';
+// Language tab
+$lang['cf_tab_language'] = 'Lokalisatie';
+$lang['cf_language'] = 'Lokalisatie';
+$lang['cf_language_desc'] = 'bericht vertaling';
+$lang['cf_select_item'] = 'Selecteer item om te vertalen';
+$lang['cf_default_lang'] = 'Standaard';
+$lang['contact_form_title_label'] = 'Titel gebruikt in menubalk';
+$lang['contact_form_label'] = 'Naam gebruikt in de menubalk';
+$lang['contact_form_link_label'] = 'Tekt gebruikt in de contact link in de pagina voettekst';
+// History tab
+$lang['cf_tab_history'] = 'Historie';
+$lang['cf_history'] = 'Historie';
+$lang['cf_history_desc'] = 'Wijzigings geschiedenis';
+$lang['cf_history_date'] = 'Datum';
+$lang['cf_history_version'] = 'Versie';
+$lang['cf_history_log'] = 'wijzigingen log';
+$lang['cf_file_not_found'] = 'Bestand niet gevonden';
+$lang['cf_file_empty'] = 'Bestand is leeg';
+$lang['cf_format_date'] = '%D %M, %Y';
+
+?>