Index: /extensions/FacebookPlug/Plugin/language/lv_LV/admin.config.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/lv_LV/admin.config.lang.php	(revision 8460)
+++ /extensions/FacebookPlug/Plugin/language/lv_LV/admin.config.lang.php	(revision 8461)
@@ -24,4 +24,5 @@
 }
 
+
 $lang['page'] = 'lapa';
 $lang['image'] = 'attels';
@@ -36,5 +37,4 @@
 $lang['Advanced'] = 'Izverstais';
 $lang['Asynchronous Facebook access'] = 'Asinhrona piekluve Facebook';
-$lang['Allow Facebook to see private page (recommended)'] = 'Atlaut no Facebook skatities privato lapu (ieteicams)';
 $lang['Like button'] = 'Poga patik';
 $lang['Enabled'] = 'Iespejots';
@@ -48,6 +48,4 @@
 $lang['Show header'] = 'Radit galveni';
 $lang['Facebook Page URL'] = 'Facebook Lapas URL';
-$lang['on picture pages'] = 'attela lapas';
-$lang['on main pages'] = 'galvenajas lapas';
 $lang['Data updated with success'] = 'Dati atjauninati sekmigi';
 $lang['Data updated with error'] = 'Dati atjauninati, bet ar kludu';
@@ -62,4 +60,35 @@
 $lang['Publish feed'] = 'Publicet piegadato';
 $lang['Facebook application identifient'] = 'Facebook aplikacijas identifikators';
+$lang['On picture pages'] = 'Attela lapas';
+$lang['On menu of main pages'] = 'Galveno lapu izvelnes';
+$lang['Options'] = 'Opcijas';
+$lang['Like button and comments cannot be enabled together'] = 'Pogu patik un komentarus nevar iespejot abus kopa';
+$lang['enabled values are restored'] = 'iespejotas vertibas ir atgrieztas sakotneja stavokli';
+$lang['Informations'] = 'Informacija';
+$lang['Continue'] = 'Turpinat';
+$lang['Always initialize Facebook'] = 'Vienmer inicializet Facebook';
+$lang[' (?)'] = ' (?)';
+$lang['Useful for personal templates, plugins. A event if also defined for plugins.'] = 'Noderigs personigajiem paraugiem, spraudniem. Gadijuma, ja definets ari priek spraudniem.';
+$lang['Allow Facebook to see private page'] = 'Atlaut Facebook skatit privato lapu';
+$lang['Recommended in order to Facebook get title, ... of your pages for wall display'] = 'Ieteicams, lai Facebook sanemtu nosaukumu, ... no jusu lapam';
+$lang['To fill only if you want to use a specific Facebook application. It\'s recommended to leave blank.'] = 'Aizpildiet tikai tad, ja velaties izmantot kadu konkretu Facebook aplikaciju. Ieteicams atstat tuku.';
+$lang['Page type allows to reference the page and Facebook can get informations (title, ...). Image type allows to reference image url and Facebook cannot get informations but works always with private albums.'] = 'Lapas tips dod iespeju izveidot lapas atsauci un Facebook var gut infotmaciju (nosaukumu, ...). Attela tips dod iespeju izveidot attela url atsauci un Facebook nevar iegut informaciju, bet vienmer var stradat ar privatajiem albumiem.';
+$lang['Promote'] = 'Veicinat';
+$lang['Add informations on about page'] = 'Pievienot informaciju pie par lapu';
+$lang['Add a paragraph with Facebook link on about page'] = 'Pievienot paragrafu ar linku uz Facebook pie par lapu';
+$lang['Add Facebook Piwigo group on footer'] = 'Pievienot Facebook Piwigo grupu kajenei';
+$lang['Add a link on each page footer'] = 'Pievienot saiti katras lapas kajenei';
+$lang['Add Facebook Piwigo application on footer'] = 'Pievienot Facebook Piwigo aplikaciju kajenei';
+$lang['Develop by'] = 'Izveidojis';
+$lang['Activity feed'] = 'Darbibas nodroinaana';
+$lang['Show recommendations'] = 'Radit ieteikumus';
+$lang['Height'] = 'Augstums';
+$lang['Other options are available by programming'] = 'Citas iespejas pieejams parprogrammejot';
+$lang['Activity'] = 'Aktivitate';
+$lang['Share'] = 'Dala (Share)';
+$lang['Share picture page'] = 'Dalities ar attela lapu';
+$lang['Add a icon link on each picture page to share on Facebook'] = 'Pievienot katrai attela lapai ikonu ar saiti, lai varetu dalities Facebook(a)';
+$lang['Share album page'] = 'Dalities ar albuma lapu';
+$lang['Add a icon link on each album page to share on Facebook'] = 'Pievienot katrai albuma lapai ikonu ar saiti, lai varetu dalities Facebook(a)';
 
 ?>