Index: extensions/FacebookPlug/Plugin/language/lv_LV/about.lang.php
===================================================================
--- extensions/FacebookPlug/Plugin/language/lv_LV/about.lang.php	(revision 8465)
+++ extensions/FacebookPlug/Plugin/language/lv_LV/about.lang.php	(revision 8465)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | FacebookPlug - a Piwigo Plugin                                        |
+// | Copyright (C) 2010-2011 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+$lang['Visit Piwigo on Facebook website:'] = 'Apmeklēt Piwigo Facebook vietnē:';
+$lang['Piwigo group'] = 'Piwigo grupa';
+$lang['Piwigo application'] = 'Piwigo aplikācija';
+
+?>
Index: extensions/FacebookPlug/Plugin/language/lv_LV/admin.config.lang.php
===================================================================
--- extensions/FacebookPlug/Plugin/language/lv_LV/admin.config.lang.php	(revision 8461)
+++ extensions/FacebookPlug/Plugin/language/lv_LV/admin.config.lang.php	(revision 8465)
@@ -26,69 +26,72 @@
 
 $lang['page'] = 'lapa';
-$lang['image'] = 'attels';
+$lang['image'] = 'attēls';
 $lang['standard'] = 'standarta';
 $lang['button_count'] = 'poga_skaits';
 $lang['box_count'] = 'kaste_skaits';
-$lang['like'] = 'lidzigs';
-$lang['recommend'] = 'rekomendet';
-$lang['light'] = 'gais';
-$lang['dark'] = 'tums';
-$lang['Social plugins'] = 'Socialie spraudni';
-$lang['Advanced'] = 'Izverstais';
-$lang['Asynchronous Facebook access'] = 'Asinhrona piekluve Facebook';
-$lang['Like button'] = 'Poga patik';
-$lang['Enabled'] = 'Iespejots';
-$lang['Picture URL type'] = 'Attela URL tips';
-$lang['Layout style'] = 'Izkartojuma stils';
-$lang['Show faces'] = 'Radit sejas';
-$lang['Verb to display'] = 'Vards, ko radit';
-$lang['Color scheme'] = 'Krasu shema';
-$lang['Like box'] = 'Kaste patik';
-$lang['Show stream'] = 'Radit plusmu';
-$lang['Show header'] = 'Radit galveni';
+$lang['like'] = 'līdzīgs';
+$lang['recommend'] = 'rekomendēt';
+$lang['light'] = 'gaišs';
+$lang['dark'] = 'tumšs';
+$lang['Social plugins'] = 'Sociālie spraudņi';
+$lang['Advanced'] = 'Izvērstais';
+$lang['Asynchronous Facebook access'] = 'Asinhronā piekļuve Facebook';
+$lang['Like button'] = 'Poga patīk';
+$lang['Enabled'] = 'Iespējots';
+$lang['Picture URL type'] = 'Attēla URL tips';
+$lang['Layout style'] = 'Izkārtojuma stils';
+$lang['Show faces'] = 'Rādīt sejas';
+$lang['Verb to display'] = 'Vārds, ko rādīt';
+$lang['Color scheme'] = 'Krāsu shēma';
+$lang['Like box'] = 'Kaste patīk';
+$lang['Show stream'] = 'Rādīt plūsmu';
+$lang['Show header'] = 'Rādīt galveni';
 $lang['Facebook Page URL'] = 'Facebook Lapas URL';
-$lang['Data updated with success'] = 'Dati atjauninati sekmigi';
-$lang['Data updated with error'] = 'Dati atjauninati, bet ar kludu';
+$lang['Data updated with success'] = 'Dati atjaunināti sekmīgi';
+$lang['Data updated with error'] = 'Dati atjaunināti, bet ar kļūdu';
 $lang['Facepile'] = 'Daudz Seju';
-$lang['on slideshow pages'] = 'slaidrades lapas';
+$lang['on slideshow pages'] = 'slaidrādes lapās';
 $lang['Num rows'] = 'Num rindas';
-$lang['Comments'] = 'Komentari';
-$lang['Num posts'] = 'Num zinas';
+$lang['Comments'] = 'Komentāri';
+$lang['Num posts'] = 'Num ziņas';
 $lang['Title'] = 'Virsraksts';
-$lang['Simple'] = 'Vienkars';
+$lang['Simple'] = 'Vienkāršs';
 $lang['Reverse'] = 'Reverss';
-$lang['Publish feed'] = 'Publicet piegadato';
-$lang['Facebook application identifient'] = 'Facebook aplikacijas identifikators';
-$lang['On picture pages'] = 'Attela lapas';
-$lang['On menu of main pages'] = 'Galveno lapu izvelnes';
+$lang['Publish feed'] = 'Publicēt piegādāto';
+$lang['Facebook application identifient'] = 'Facebook aplikācijas identifikātors';
+$lang['On picture pages'] = 'Attēla lapās';
+$lang['On menu of main pages'] = 'Galveno lapu izvēlnēs';
 $lang['Options'] = 'Opcijas';
-$lang['Like button and comments cannot be enabled together'] = 'Pogu patik un komentarus nevar iespejot abus kopa';
-$lang['enabled values are restored'] = 'iespejotas vertibas ir atgrieztas sakotneja stavokli';
-$lang['Informations'] = 'Informacija';
-$lang['Continue'] = 'Turpinat';
-$lang['Always initialize Facebook'] = 'Vienmer inicializet Facebook';
+$lang['Like button and comments cannot be enabled together'] = 'Pogu patīk un komentārus nevar iespējot abus kopā';
+$lang['enabled values are restored'] = 'iespējotās vērtības ir atgrieztas sākotnējā stāvoklī';
+$lang['Informations'] = 'Informācija';
+$lang['Continue'] = 'Turpināt';
+$lang['Always initialize Facebook'] = 'Vienmēr inicializēt Facebook';
 $lang[' (?)'] = ' (?)';
-$lang['Useful for personal templates, plugins. A event if also defined for plugins.'] = 'Noderigs personigajiem paraugiem, spraudniem. Gadijuma, ja definets ari priek spraudniem.';
-$lang['Allow Facebook to see private page'] = 'Atlaut Facebook skatit privato lapu';
-$lang['Recommended in order to Facebook get title, ... of your pages for wall display'] = 'Ieteicams, lai Facebook sanemtu nosaukumu, ... no jusu lapam';
-$lang['To fill only if you want to use a specific Facebook application. It\'s recommended to leave blank.'] = 'Aizpildiet tikai tad, ja velaties izmantot kadu konkretu Facebook aplikaciju. Ieteicams atstat tuku.';
-$lang['Page type allows to reference the page and Facebook can get informations (title, ...). Image type allows to reference image url and Facebook cannot get informations but works always with private albums.'] = 'Lapas tips dod iespeju izveidot lapas atsauci un Facebook var gut infotmaciju (nosaukumu, ...). Attela tips dod iespeju izveidot attela url atsauci un Facebook nevar iegut informaciju, bet vienmer var stradat ar privatajiem albumiem.';
-$lang['Promote'] = 'Veicinat';
-$lang['Add informations on about page'] = 'Pievienot informaciju pie par lapu';
-$lang['Add a paragraph with Facebook link on about page'] = 'Pievienot paragrafu ar linku uz Facebook pie par lapu';
-$lang['Add Facebook Piwigo group on footer'] = 'Pievienot Facebook Piwigo grupu kajenei';
-$lang['Add a link on each page footer'] = 'Pievienot saiti katras lapas kajenei';
-$lang['Add Facebook Piwigo application on footer'] = 'Pievienot Facebook Piwigo aplikaciju kajenei';
+$lang['Useful for personal templates, plugins. A event if also defined for plugins.'] = 'Noderīgs personīgajiem paraugiem, spraudņiem. Gadījumā, ja definēts arī priekš spraudņiem.';
+$lang['Allow Facebook to see private page'] = 'Atļaut Facebook skatīt privāto lapu';
+$lang['Recommended in order to Facebook get title, ... of your pages for wall display'] = 'Ieteicams, lai Facebook saņemtu nosaukumu, ... no jūsu lapām';
+$lang['To fill only if you want to use a specific Facebook application. It\'s recommended to leave blank.'] = 'Aizpildiet tikai tad, ja vēlaties izmantot kādu konkrētu Facebook aplikāciju. Ieteicams atstāt tukšu.';
+$lang['Page type allows to reference the page and Facebook can get informations (title, ...). Image type allows to reference image url and Facebook cannot get informations but works always with private albums.'] = 'Lapas tips dod iespēju izveidot lapas atsauci un Facebook var gūt infotmāciju (nosaukumu, ...). Attēla tips dod iespēju izveidot attēla url atsauci un Facebook nevar iegūt informāciju, bet vienmēr var strādāt ar privātajiem albūmiem.';
+$lang['Promote'] = 'Veicināt';
+$lang['Add informations on about page'] = 'Pievienot informāciju pie par lapu';
+$lang['Add a paragraph with Facebook link on about page'] = 'Pievienot paragrāfu ar linku uz Facebook pie par lapu';
+$lang['Add Facebook Piwigo group on footer'] = 'Pievienot Facebook Piwigo grupu kājenei';
+$lang['Add a link on each page footer'] = 'Pievienot saiti katras lapas kājenei';
+$lang['Add Facebook Piwigo application on footer'] = 'Pievienot Facebook Piwigo aplikāciju kājenei';
 $lang['Develop by'] = 'Izveidojis';
-$lang['Activity feed'] = 'Darbibas nodroinaana';
-$lang['Show recommendations'] = 'Radit ieteikumus';
+$lang['Activity feed'] = 'Darbības nodrošināšana';
+$lang['Show recommendations'] = 'Rādīt ieteikumus';
 $lang['Height'] = 'Augstums';
-$lang['Other options are available by programming'] = 'Citas iespejas pieejams parprogrammejot';
-$lang['Activity'] = 'Aktivitate';
-$lang['Share'] = 'Dala (Share)';
-$lang['Share picture page'] = 'Dalities ar attela lapu';
-$lang['Add a icon link on each picture page to share on Facebook'] = 'Pievienot katrai attela lapai ikonu ar saiti, lai varetu dalities Facebook(a)';
-$lang['Share album page'] = 'Dalities ar albuma lapu';
-$lang['Add a icon link on each album page to share on Facebook'] = 'Pievienot katrai albuma lapai ikonu ar saiti, lai varetu dalities Facebook(a)';
-
+$lang['Other options are available by programming'] = 'Citas iespējas pieejams pārprogrammējot';
+$lang['Activity'] = 'Aktivitāte';
+$lang['Share'] = 'Daļa (Share)';
+$lang['Share picture page'] = 'Dalīties ar attēla lapu';
+$lang['Add a icon link on each picture page to share on Facebook'] = 'Pievienot katrai attēla lapai ikonu ar saiti, lai varētu dalīties Facebook(ā)';
+$lang['Share album page'] = 'Dalīties ar albūma lapu';
+$lang['Add a icon link on each album page to share on Facebook'] = 'Pievienot katrai albūma lapai ikonu ar saiti, lai varētu dalīties Facebook(ā)';
+$lang['Buttons'] = 'Pogas';
+$lang['Upload'] = 'Augšupielādēt';
+$lang['Upload picture'] = 'Augšupielādēt attēlu';
+$lang['Add a icon link on each picture page to upload image on Facebook'] = 'Pievienot katrai attēla lapai ikonu ar saiti, lai varētu augšupielādēt attēlu Facebook(ā)';
 ?>
Index: extensions/FacebookPlug/Plugin/language/lv_LV/common.lang.php
===================================================================
--- extensions/FacebookPlug/Plugin/language/lv_LV/common.lang.php	(revision 8465)
+++ extensions/FacebookPlug/Plugin/language/lv_LV/common.lang.php	(revision 8465)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | FacebookPlug - a Piwigo Plugin                                        |
+// | Copyright (C) 2010-2011 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+$lang['Join Facebook Piwigo group'] = 'Pievienoties Facebook Piwigo grupai';
+$lang['Via Facebook Piwigo application'] = 'Ar Facebook Piwigo aplikācijas palīdzību';
+$lang['Share on Facebook'] = 'Dalīties (share) Facebook(ā)';
+$lang['Upload photo on Facebook'] = 'Augšupielādēt fotoattēlu Facebook(ā)';
+?>