Index: /extensions/dynareceperio/language/lv_LV/description.txt
===================================================================
--- /extensions/dynareceperio/language/lv_LV/description.txt	(revision 8476)
+++ /extensions/dynareceperio/language/lv_LV/description.txt	(revision 8476)
@@ -0,0 +1,1 @@
+Aprēķina tekošā perioda dinamiku
Index: /extensions/dynareceperio/language/lv_LV/index.php
===================================================================
--- /extensions/dynareceperio/language/lv_LV/index.php	(revision 8476)
+++ /extensions/dynareceperio/language/lv_LV/index.php	(revision 8476)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Dynamic Recent Period - a Piwigo Plugin                               |
+// | Copyright (C) 2007-2011 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/dynareceperio/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/dynareceperio/language/lv_LV/plugin.lang.php	(revision 8476)
+++ /extensions/dynareceperio/language/lv_LV/plugin.lang.php	(revision 8476)
@@ -0,0 +1,29 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Dynamic Recent Period - a Piwigo Plugin                               |
+// | Copyright (C) 2007-2011 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+$lang['dynareceperio_force'] = 'Piespiedu lietošana visiem lietotājiem';
+$lang['dynareceperio_day_number'] = 'Dienas numurus kopā ar attēlu pievienojumu';
+
+?>